function dibujaDetalles() {
	// var f = document.forms["VIEW_EFXP"];
	var tbl = document.getElementById('myTable');
	var row, cel;
	var i, j, ii;
	var tempText, columna;

	// primero borra la botonera de la tabla y cada fila
	tempText = 'rowDet_Botones';
	row = document.getElementById(tempText);
	if (row != null) {
		j = row.rowIndex;
		tbl.deleteRow(j);
	}
	for (i=1; i<=cantTotCol; i++) {
		tempText = 'rowDet_'+((i<=9)?('0'+i):i);
		row = document.getElementById(tempText);
		if (row != null) {
				j = row.rowIndex;
				tbl.deleteRow(j);
		}
		tempText = 'rowDescripcion_'+((i<=9)?('0'+i):i);
		row = document.getElementById(tempText);
		if (row != null) {
				j = row.rowIndex;
				tbl.deleteRow(j);
		}
	}


	// for (i=0; i < cantTotCol; i++) {
		if (datosArray[i][11][0] == 'VIS') {
			row = tbl.insertRow(i+1);
			columna = (i<9)?('0'+(i+1)):(i+1);
			tempText = 'rowDet_'+ columna;
			row.id = tempText;

			if (f.elements["COD_SI_NO"].checked == true) {
				cel = row.insertCell(-1);
				cel.align='center';
				cel.setAttribute("data-title","Tipo / Codigo");
				cel.setAttribute("class","text-nowrap");
				cel.innerHTML='<INPUT type="text" name="EFXP_TPO_COD_'+columna+'"  value="'+datosArray[i][0][indValue]+'" onchange="insArr(this)" maxLength=10 size=5 ><INPUT type="text" name="EFXP_COD_'+columna+'"  value="'+datosArray[i][1][indValue]+'" onchange="insArr(this)" maxLength=15 size=10 >';
			} 

			cel = row.insertCell(-1);
			cel.align='center';
			cel.setAttribute("data-title","Nombre Prod");
			cel.innerHTML='<INPUT type="text" name="EFXP_NMB_'+columna+'" style="text-align:left; width:100%" value="'+datosArray[i][2][indValue]+'" onchange="insArr(this)" maxLength=25 size=25 >';

			cel = row.insertCell(-1);
			cel.align='center';
			cel.setAttribute("data-title","Descrip");
			cel.innerHTML='<INPUT name="DESCRIP_'+columna+'" style="text-align:left; width:100%" value="DESCRIP_'+columna+'" onclick="dibujaTextArea(this)" type="checkbox" >';

			cel = row.insertCell(-1);
			cel.align='center';
			cel.setAttribute("data-title","Cantidad");
			cel.innerHTML='<input  type="number" style="text-align:right; width:100%" name="EFXP_QTY_'+columna+'" value="'+datosArray[i][4][indValue]+
							'" onchange="insArr(this);calculaRelacionadoFacEx(this);" max="999999999999" step="0.000001" maxLength="12" size="6"/>';

			cel = row.insertCell(-1);
			cel.align='center';
			cel.setAttribute("data-title","Unidad");
			cel.innerHTML='<INPUT name="EFXP_UNMD_'+columna+'" style="text-align:right; width:100% " value="'+datosArray[i][5][indValue]+'" onchange="insArr(this)" maxLength=4  size=5 >';

			cel = row.insertCell(-1);
			cel.align='center';
			cel.setAttribute("data-title","Precio");
			cel.innerHTML='<input  type="number" style="text-align:right; width:100% " name="EFXP_PRC_'+columna+'" value="'+datosArray[i][6][indValue]+
							'" onchange="insArr(this);calculaRelacionadoFacEx(this);" max="999999999999" step="0.000001" maxLength=12 size=10 >';

			ii=6;

			if(f.elements["esCRED_EC"]!=null&&f.elements["esCRED_EC"].value == 'TRUE') {

			}
			else if ( f.elements["OTRO_IMP_SI_NO"]!=null&&(f.elements["OTRO_IMP_SI_NO"].checked == true) &&
						 (f.elements["PTDC_CODIGO"].value == 33)) {
					cel = row.insertCell(-1);
					cel.align='center';
					cel.setAttribute("data-title","Impuestos Adic.");
					cel.innerHTML= '<select onchange="insArr(this);calculaRelacionadoFacEx(this);" name="EFXP_OTRO_IMP_'+columna+'"><optgroup label="Seleccione una opción">'+genSelectOtrosImp(datosArray[i][7][indValue])+'</optgroup></select>';
			}

			cel = row.insertCell(-1);
			cel.align='center';
			cel.setAttribute("data-title","% Desc.");
			cel.innerHTML='<INPUT type="number" name="EFXP_PCTD_'+columna+'" style="text-align:right; width:100%" value="'+datosArray[i][8][indValue]+
							'" onchange="insArr(this);calculaRelacionadoFacEx(this);" max="999" step="0.01" maxLength=12  size=5 >';

			cel = row.insertCell(-1);
			cel.align='center';
			cel.setAttribute("data-title","SubTotal");
			cel.innerHTML='<input  type="number" style="text-align:right; width:100%" name="EFXP_SUBT_'+columna+'" value="'+datosArray[i][9][indValue]+'" style="COLOR: #666666"  onchange="insArr(this)" onfocus="blur()" maxLength="10" size="10" />';
		// }
		// else {
		// 	for (j=i; j < cantTotCol; j++) {
		// 		if (datosArray[j][9][indValue].length > 0) break;
		// 	}

		// 	if (j == cantTotCol) {
		// 		break;
		// 	}
		// 	else {
		// 		datosArray[i][11][0] = 'VIS';i--;
		// 	}
		// }
	}
	f.elements["CANT_DET"].value = i;
	row = tbl.insertRow(i+1);
	tempText = 'rowDet_Botones';
	row.id = tempText;
	cel = document.createElement("TH");
	cel.align='center';
	cel.colSpan="9";
	cel.setAttribute("class","text-center");
	row.appendChild(cel);
	alert("El resultado es " );
	if (i == 1) {
		cel.innerHTML = '<INPUT onClick="modCantLineaDet(this);" name=AGREGA_DETALLE type="button" class="btn '+tipoBoton+' btn-sm" '+estiloBoton+' value="Agrega linea de Detalle">';
	} else if (i == 10) {
		cel.innerHTML = '<INPUT onClick="modCantLineaDet(this);" name=QUITA_DETALLE type="button" class="btn '+tipoBoton+' btn-sm" '+estiloBoton+' value="Quita linea de Detalle">';
	} else {
		cel.innerHTML = '<INPUT onClick="modCantLineaDet(this);" name=AGREGA_DETALLE type="button" class="btn '+tipoBoton+' btn-sm" '+estiloBoton+' value="Agrega linea de Detalle">&nbsp;<INPUT class="btn '+tipoBoton+' btn-sm" '+estiloBoton+' onClick="modCantLineaDet(this);" name="QUITA_DETALLE" type="button" value="Quita linea de Detalle">';
	}

	for( i = 0; i < cantTotCol; i++) {
		if (datosArray[i][11][0] == 'VIS' && datosArray[i][10][indValue].length > 0) {
			f.elements[datosArray[i][3][indName]].checked = true;
			dibujaTextArea(f.elements[datosArray[i][3][indName]]);
		}
	}
	
}
